<template>
  <div class="json-renderer--value" :class="'type--' + type ">
    <span v-if="type == 'string'">"{{ value }}"</span>
    <span v-else-if="type == 'object'">Object</span>
    <span v-else-if="type == 'array'">Array</span>
    <span v-else>{{ value }}</span>
  </div>
</template>

<script>
export default {
  name: "JsonRendererValue",
  props: {
    value: null,
  },
  computed: {
    type() {
      if (Array.isArray(this.value)) {
        return "array";
      }
      return typeof this.value;
    },
  },
};
</script>

<style lang="css">
.json-renderer .type--string {
  color: #ec7600;
}

.json-renderer .type--number {
  color: #3cffff;
}
</style>
